=begin

Round Edges Corners 2

v.4.0 - 2020.12.31
- based on Round edges corners v3.3
v.4.1 - 2021.01.08
- usuniete zliczanie czasu wykonania
- Lic v8.0
v.4.2 - 2021.02.10
- usuniecie nr wersji z nazwy toolbara
v4.3
- add DBS to ext name

Copyrigth: 2021 - DBS
=end

require 'sketchup.rb'
require 'extensions.rb'

module DBS
	module RoundEdgesCorners2
		unless file_loaded?(__FILE__)

			path = __FILE__
			path.force_encoding("UTF-8") if path.respond_to?(:force_encoding)

			FILE_BASENAME = File.basename(path, ".*")
			PLUGIN_DIR = File.join(File.dirname(path), FILE_BASENAME)

			EXTENSION = SketchupExtension.new("DBS Round Edges Corners 2", File.join(PLUGIN_DIR, "main"))
			EXTENSION.name
			EXTENSION.creator     = "DBS"
			EXTENSION.description = "Rounds corners of selected edges"
			EXTENSION.version     = "4.3"
			EXTENSION.copyright   = "2021, #{EXTENSION.creator}"
			Sketchup.register_extension(EXTENSION, true)

		end
	end
end

